<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.system.expand.mapper.OrgPositionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="orgPositionResultMap" type="org.springblade.system.expand.entity.OrgPosition">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="province_code" property="provinceCode"/>
        <result column="city_code" property="cityCode"/>
        <result column="area_code" property="areaCode"/>
        <result column="street_code" property="streetCode"/>
        <result column="agency_id" property="agencyId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="org_position" property="orgPosition"/>
        <result column="org_id" property="orgId"/>
        <result column="tenant_id" property="tenantId"/>

    </resultMap>


    <select id="selectOrgPositionPage" resultMap="orgPositionResultMap">
        select * from system_org_position where is_deleted = 0
    </select>

</mapper>
